Bug 191394 - Evaluate action is not general
Evaluate action is not general
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-27 10:01 UTC by Egor Ushakov
Modified: 2010-11-13 06:40 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
The patch that makes Evaluate action to be generic. (19.17 KB, patch)
2010-11-05 12:36 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2010-10-27 10:01:32 UTC
Now cnd has its own evaluate action and would like to use the same shortcut as  java does. But D-F9 is hardcoded for java evaluate. There is no way to reuse it, only override. Please introduce "provider" mechanism for evaluate action so that it can run provider which belongs to the current debugger active.
Comment 1 Martin Entlicher 2010-10-27 14:52:03 UTC
This will require some API change.
The solution might be to add ActionsManager.ACTION_EVALUATE constant and create EvaluateAction in Debugger Core UI, which will check for ActionsProviders having ACTION_EVALUATE action.
Comment 2 Egor Ushakov 2010-10-27 16:06:00 UTC
this is what I was thinking about
Comment 3 Martin Entlicher 2010-11-05 12:36:12 UTC
Created attachment 102817 [details]
The patch that makes Evaluate action to be generic.
Comment 4 Martin Entlicher 2010-11-05 12:37:34 UTC
Please review that simple API change...
Comment 5 Egor Ushakov 2010-11-10 10:23:39 UTC
looks good
Comment 6 Martin Entlicher 2010-11-11 10:06:49 UTC
Thanks for the review, I'll integrate the patch tomorrow.
Comment 7 Martin Entlicher 2010-11-12 08:41:21 UTC
Integrated as changeset:   182185:8fc152089118
http://hg.netbeans.org/main/rev/8fc152089118
Comment 8 Martin Entlicher 2010-11-12 11:37:53 UTC
A reference of A-F8.shadow also needs to corrected:
changeset:   182187:bd82591bff90
http://hg.netbeans.org/main/rev/bd82591bff90
Comment 9 Quality Engineering 2010-11-13 06:40:16 UTC
Integrated into 'main-golden', will be available in build *201011130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8fc152089118
User: mentlicher@netbeans.org
Log: #191394 Put Evaluate action into Debugger Core UI module and make it based on ActionProviders providing ACTION_EVALUATE action.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo